package model

type CloudBundle struct {
	Id                  int    `json:"id" xorm:"not null pk autoincr INT(10)"`
	Os                  int    `json:"os" xorm:"not null default 1 comment('系统类型：1.Android； 2.IOS') TINYINT(1)"`
	Ep                  int    `json:"ep" xorm:" default 0 comment('') TINYINT(1)"`
	Version             string `json:"version" xorm:"not null default '' comment('版本号') VARCHAR(255)"`
	Modules             string `json:"modules" xorm:"not null default '' comment('包含的模块') VARCHAR(255)"`
	ApplyAt             int    `json:"apply_at" xorm:"comment('申请时间') INT(11)"`
	FinishAt            int    `json:"finish_at" xorm:"comment('完成时间') INT(11)"`
	IsAuditing          int    `json:"is_auditing" xorm:"comment('完成时间') INT(11)"`
	State               int    `json:"state" xorm:"not null default 1 comment('状态：正在排队0，正在同步代码1，正在更新配置2，正在混淆3，正在打包4，正在上传5，打包成功999，异常-1') SMALLINT(5)"`
	Memo                string `json:"memo" xorm:"comment('备注') TEXT"`
	ErrorMsg            string `json:"error_msg" xorm:"comment('错误信息') TEXT"`
	Src                 string `json:"src" xorm:"comment('包源地址') VARCHAR(255)"`
	BuildId             string `json:"build_id" xorm:"comment('build版本ID') VARCHAR(255)"`
	BuildNumber         string `json:"build_number" xorm:"default '' VARCHAR(255)"`
	TemplateDuringAudit string `json:"template_during_audit" xorm:"not null default '' VARCHAR(255)"`
}
